### Virtual Method

# Gio PollableInputStream can_poll

since: 2.28

#### Declaration [src]

    gboolean
    can_poll (
      GPollableInputStream* stream
    )

#### Description [src]

Checks if `stream` is actually pollable. Some classes may implement `GPollableInputStream` but have only certain instances of that class be pollable. If this method returns `FALSE`, then the behavior of other `GPollableInputStream` methods is undefined.

For any given stream, the value returned by this method is constant; a stream cannot switch from pollable to non-pollable or vice versa.

Available since: 2.28

#### Return value

Type: `gboolean`

`TRUE` if `stream` is pollable, `FALSE` if not.